"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scopePerRequest = void 0;
/**
 * Koa middleware factory that will create and attach
 * a scope onto a content.
 *
 * @param  {AwilixContainer} container
 * @return {Function}
 */
function scopePerRequest(container) {
    return function scopePerRequestMiddleware(ctx, next) {
        ctx.state.container = container.createScope();
        return next();
    };
}
exports.scopePerRequest = scopePerRequest;
//# sourceMappingURL=scope-per-request.js.map